package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工程结算信息表
 * @author: 徐滕
 * @create: 2021-09-14 16:06
 **/
public class ProjectSettlementInfo {
    private String no;  //序号
    private String projectDefinitionNo; //项目定义号
    private String projectName; //项目名称
    private String projectType; //项目类型
    private String voltageClasses;  //电压等级
    private String projectIssuedYear;   //项目下达年度
    private String projectBudgetYear;   //项目预算年度
    private String projectAllInvest;    //项目总投资
    private String approvalDocumentNumber;  //可批复文号
    private String monomerWbsNumber;    //单体工程WBS编号

    private String engineeringtNumber;  //工程编号
    private String engineeringName;     //工程名称
    private String linkman; //联系人
    private String linkPhone;   //联系电话
    private String practicalStartUpDate;    //实际开工日期
    private String practicalcompletionDate; //实际竣工日期
    private String constructionUnit;    //施工单位
    private String contractNumber;      //合同编号
    private String contractMoney;       //合同金额（元）
    private String settlementDiscountRate;  //结算折扣率

    private String planStartUpDate;    //计划开工日期
    private String plancompletionDate; //计划竣工日期
    private String tjSubmittalsMoney;   //土建送审金额
    private String azSubmittalsMoney;   //安装送审金额
    private String submittalsConstructionMoney; //送审施工费小计（元）
    private String whichMaterialSubmittalsMoney;    //甲供材送审金额
    private String submittalsRemarks;   //送审备注
    private String tjExamineAndApproveMoney;    //土建审定金额
    private String azExamineAndApproveMoney;    //安装审定金额
    private String examineAndApproveConstructionMoney;  //审定施工费小计（元）

    private String whichMaterialExamineAndApproveMoney; //甲供材审定金额
    private String constructionFeeDecreaseMoney;    //施工费核减金额
    private String constructionFeeDecreaseRate;     //施工费核减率
    private String constructionOrganizationCharge;  //施工单位诚信扣款
    private String suggestSettlementMoney;  //建议结算款（元）
    private String longitude;   //经度
    private String latitude;    //纬度
    private String auditFee;    //审计费
    private String auditOpinionReferenceNumber; //审计意见文号
    private String auditOpinionReportNumber;    //审计报告号

    private String auditOpinionRemarks; //审计备注
    private String businessPremisesName;    //事务所名称
    private String businessPremisesAuditUser;   //事务所审计人员
    private String submittedForReviewDate;  //提交送审日期
    private String auditIssuedDate; //审计任务下达日期
    private String auditShouldEndDate;  //审计应结束日期
    private String uploadingResultDate; //上传结果日期
    private String approvalDate;    //审定日期
    private String ifTheTimeout;    //是否超时
    private String auditManagementLevel;    //审计管理级别

    private String auditMode;   //审计方式
    private String auditFullTime;   //审计专职
    private String reviewPeople;    //送审人
    private String reviewDepartment;    //送审部门
    private String secondLevelUnit; //二级单位
    private String firstLevelUnit;  //一级单位
    private String status;  //送审状态
    private String singleConstructionId;    //送审单id

    @ExcelField(title="序号", align=2, sort=1)
    public String getNo() {
        return no;
    }
    @ExcelField(title="项目定义号", align=2, sort=2)
    public String getProjectDefinitionNo() {
        return projectDefinitionNo;
    }
    @ExcelField(title="项目名称", align=2, sort=3)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="项目类型", align=2, sort=4)
    public String getProjectType() {
        return projectType;
    }
    @ExcelField(title="电压等级", align=2, sort=5)
    public String getVoltageClasses() {
        return voltageClasses;
    }
    @ExcelField(title="项目下达年度", align=2, sort=6)
    public String getProjectIssuedYear() {
        return projectIssuedYear;
    }
    @ExcelField(title="项目预算年度", align=2, sort=7)
    public String getProjectBudgetYear() {
        return projectBudgetYear;
    }
    @ExcelField(title="项目总投资", align=2, sort=8)
    public String getProjectAllInvest() {
        return projectAllInvest;
    }
    @ExcelField(title="可批复文号", align=2, sort=9)
    public String getApprovalDocumentNumber() {
        return approvalDocumentNumber;
    }
    @ExcelField(title="单体工程WBS编号", align=2, sort=10)
    public String getMonomerWbsNumber() {
        return monomerWbsNumber;
    }
    @ExcelField(title="工程编号", align=2, sort=11)
    public String getEngineeringtNumber() {
        return engineeringtNumber;
    }
    @ExcelField(title="工程名称", align=2, sort=12)
    public String getEngineeringName() {
        return engineeringName;
    }
    @ExcelField(title="联系人", align=2, sort=13)
    public String getLinkman() {
        return linkman;
    }
    @ExcelField(title="联系电话", align=2, sort=14)
    public String getLinkPhone() {
        return linkPhone;
    }
    @ExcelField(title="实际开工日期", align=2, sort=15)
    public String getPracticalStartUpDate() {
        return practicalStartUpDate;
    }
    @ExcelField(title="实际竣工日期", align=2, sort=16)
    public String getPracticalcompletionDate() {
        return practicalcompletionDate;
    }
    @ExcelField(title="施工单位", align=2, sort=17)
    public String getConstructionUnit() {
        return constructionUnit;
    }
    @ExcelField(title="合同编号", align=2, sort=18)
    public String getContractNumber() {
        return contractNumber;
    }
    @ExcelField(title="合同金额（元）", align=2, sort=19)
    public String getContractMoney() {
        return contractMoney;
    }
    @ExcelField(title="结算折扣率", align=2, sort=20)
    public String getSettlementDiscountRate() {
        return settlementDiscountRate;
    }
    @ExcelField(title="计划开工日期", align=2, sort=21)
    public String getPlanStartUpDate() {
        return planStartUpDate;
    }
    @ExcelField(title="计划竣工日期", align=2, sort=22)
    public String getPlancompletionDate() {
        return plancompletionDate;
    }
    @ExcelField(title="土建送审金额", align=2, sort=23)
    public String getTjSubmittalsMoney() {
        return tjSubmittalsMoney;
    }
    @ExcelField(title="安装送审金额", align=2, sort=24)
    public String getAzSubmittalsMoney() {
        return azSubmittalsMoney;
    }
    @ExcelField(title="送审施工费小计（元）", align=2, sort=25)
    public String getSubmittalsConstructionMoney() {
        return submittalsConstructionMoney;
    }
    @ExcelField(title="甲供材送审金额", align=2, sort=26)
    public String getWhichMaterialSubmittalsMoney() {
        return whichMaterialSubmittalsMoney;
    }
    @ExcelField(title="送审备注", align=2, sort=27)
    public String getSubmittalsRemarks() {
        return submittalsRemarks;
    }
    @ExcelField(title="土建审定金额", align=2, sort=28)
    public String getTjExamineAndApproveMoney() {
        return tjExamineAndApproveMoney;
    }
    @ExcelField(title="安装审定金额", align=2, sort=29)
    public String getAzExamineAndApproveMoney() {
        return azExamineAndApproveMoney;
    }
    @ExcelField(title="审定施工费小计（元）", align=2, sort=30)
    public String getExamineAndApproveConstructionMoney() {
        return examineAndApproveConstructionMoney;
    }
    @ExcelField(title="甲供材审定金额", align=2, sort=31)
    public String getWhichMaterialExamineAndApproveMoney() {
        return whichMaterialExamineAndApproveMoney;
    }
    @ExcelField(title="施工费核减金额", align=2, sort=32)
    public String getConstructionFeeDecreaseMoney() {
        return constructionFeeDecreaseMoney;
    }
    @ExcelField(title="施工费核减率", align=2, sort=33)
    public String getConstructionFeeDecreaseRate() {
        return constructionFeeDecreaseRate;
    }
    @ExcelField(title="施工单位诚信扣款", align=2, sort=34)
    public String getConstructionOrganizationCharge() {
        return constructionOrganizationCharge;
    }
    @ExcelField(title="建议结算款（元）", align=2, sort=35)
    public String getSuggestSettlementMoney() {
        return suggestSettlementMoney;
    }
    @ExcelField(title="经度", align=2, sort=36)
    public String getLongitude() {
        return longitude;
    }
    @ExcelField(title="纬度", align=2, sort=37)
    public String getLatitude() {
        return latitude;
    }
    @ExcelField(title="审计费", align=2, sort=38)
    public String getAuditFee() {
        return auditFee;
    }
    @ExcelField(title="审计意见文号", align=2, sort=39)
    public String getAuditOpinionReferenceNumber() {
        return auditOpinionReferenceNumber;
    }
    @ExcelField(title="审计报告号", align=2, sort=40)
    public String getAuditOpinionReportNumber() {
        return auditOpinionReportNumber;
    }
    @ExcelField(title="审计备注", align=2, sort=41)
    public String getAuditOpinionRemarks() {
        return auditOpinionRemarks;
    }
    @ExcelField(title="事务所名称", align=2, sort=42)
    public String getBusinessPremisesName() {
        return businessPremisesName;
    }
    @ExcelField(title="事务所审计人员", align=2, sort=43)
    public String getBusinessPremisesAuditUser() {
        return businessPremisesAuditUser;
    }
    @ExcelField(title="提交送审日期", align=2, sort=44)
    public String getSubmittedForReviewDate() {
        return submittedForReviewDate;
    }
    @ExcelField(title="审计任务下达日期", align=2, sort=45)
    public String getAuditIssuedDate() {
        return auditIssuedDate;
    }
    @ExcelField(title="审计应结束日期", align=2, sort=46)
    public String getAuditShouldEndDate() {
        return auditShouldEndDate;
    }
    @ExcelField(title="上传结果日期", align=2, sort=47)
    public String getUploadingResultDate() {
        return uploadingResultDate;
    }
    @ExcelField(title="审定日期", align=2, sort=48)
    public String getApprovalDate() {
        return approvalDate;
    }
    @ExcelField(title="是否超时", align=2, sort=49)
    public String getIfTheTimeout() {
        return ifTheTimeout;
    }
    @ExcelField(title="审计管理级别", align=2, sort=50)
    public String getAuditManagementLevel() {
        return auditManagementLevel;
    }
    @ExcelField(title="审计方式", align=2, sort=51)
    public String getAuditMode() {
        return auditMode;
    }
    @ExcelField(title="审计专职", align=2, sort=52)
    public String getAuditFullTime() {
        return auditFullTime;
    }
    @ExcelField(title="送审人", align=2, sort=53)
    public String getReviewPeople() {
        return reviewPeople;
    }
    @ExcelField(title="送审部门", align=2, sort=54)
    public String getReviewDepartment() {
        return reviewDepartment;
    }
    @ExcelField(title="二级单位", align=2, sort=55)
    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }
    @ExcelField(title="一级单位", align=2, sort=56)
    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }
    @ExcelField(title="送审状态", align=2, sort=57)
    public String getStatus() {
        return status;
    }
    @ExcelField(title="送审单id", align=2, sort=58)
    public String getSingleConstructionId() {
        return singleConstructionId;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public void setProjectDefinitionNo(String projectDefinitionNo) {
        this.projectDefinitionNo = projectDefinitionNo;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public void setVoltageClasses(String voltageClasses) {
        this.voltageClasses = voltageClasses;
    }

    public void setProjectIssuedYear(String projectIssuedYear) {
        this.projectIssuedYear = projectIssuedYear;
    }

    public void setProjectBudgetYear(String projectBudgetYear) {
        this.projectBudgetYear = projectBudgetYear;
    }

    public void setProjectAllInvest(String projectAllInvest) {
        this.projectAllInvest = projectAllInvest;
    }

    public void setApprovalDocumentNumber(String approvalDocumentNumber) {
        this.approvalDocumentNumber = approvalDocumentNumber;
    }

    public void setMonomerWbsNumber(String monomerWbsNumber) {
        this.monomerWbsNumber = monomerWbsNumber;
    }

    public void setEngineeringtNumber(String engineeringtNumber) {
        this.engineeringtNumber = engineeringtNumber;
    }

    public void setEngineeringName(String engineeringName) {
        this.engineeringName = engineeringName;
    }

    public void setLinkman(String linkman) {
        this.linkman = linkman;
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public void setPracticalStartUpDate(String practicalStartUpDate) {
        this.practicalStartUpDate = practicalStartUpDate;
    }

    public void setPracticalcompletionDate(String practicalcompletionDate) {
        this.practicalcompletionDate = practicalcompletionDate;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public void setContractMoney(String contractMoney) {
        this.contractMoney = contractMoney;
    }

    public void setSettlementDiscountRate(String settlementDiscountRate) {
        this.settlementDiscountRate = settlementDiscountRate;
    }

    public void setPlanStartUpDate(String planStartUpDate) {
        this.planStartUpDate = planStartUpDate;
    }

    public void setPlancompletionDate(String plancompletionDate) {
        this.plancompletionDate = plancompletionDate;
    }

    public void setTjSubmittalsMoney(String tjSubmittalsMoney) {
        this.tjSubmittalsMoney = tjSubmittalsMoney;
    }

    public void setAzSubmittalsMoney(String azSubmittalsMoney) {
        this.azSubmittalsMoney = azSubmittalsMoney;
    }

    public void setSubmittalsConstructionMoney(String submittalsConstructionMoney) {
        this.submittalsConstructionMoney = submittalsConstructionMoney;
    }

    public void setWhichMaterialSubmittalsMoney(String whichMaterialSubmittalsMoney) {
        this.whichMaterialSubmittalsMoney = whichMaterialSubmittalsMoney;
    }

    public void setSubmittalsRemarks(String submittalsRemarks) {
        this.submittalsRemarks = submittalsRemarks;
    }

    public void setTjExamineAndApproveMoney(String tjExamineAndApproveMoney) {
        this.tjExamineAndApproveMoney = tjExamineAndApproveMoney;
    }

    public void setAzExamineAndApproveMoney(String azExamineAndApproveMoney) {
        this.azExamineAndApproveMoney = azExamineAndApproveMoney;
    }

    public void setExamineAndApproveConstructionMoney(String examineAndApproveConstructionMoney) {
        this.examineAndApproveConstructionMoney = examineAndApproveConstructionMoney;
    }

    public void setWhichMaterialExamineAndApproveMoney(String whichMaterialExamineAndApproveMoney) {
        this.whichMaterialExamineAndApproveMoney = whichMaterialExamineAndApproveMoney;
    }

    public void setConstructionFeeDecreaseMoney(String constructionFeeDecreaseMoney) {
        this.constructionFeeDecreaseMoney = constructionFeeDecreaseMoney;
    }

    public void setConstructionFeeDecreaseRate(String constructionFeeDecreaseRate) {
        this.constructionFeeDecreaseRate = constructionFeeDecreaseRate;
    }

    public void setConstructionOrganizationCharge(String constructionOrganizationCharge) {
        this.constructionOrganizationCharge = constructionOrganizationCharge;
    }

    public void setSuggestSettlementMoney(String suggestSettlementMoney) {
        this.suggestSettlementMoney = suggestSettlementMoney;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public void setAuditFee(String auditFee) {
        this.auditFee = auditFee;
    }

    public void setAuditOpinionReferenceNumber(String auditOpinionReferenceNumber) {
        this.auditOpinionReferenceNumber = auditOpinionReferenceNumber;
    }

    public void setAuditOpinionReportNumber(String auditOpinionReportNumber) {
        this.auditOpinionReportNumber = auditOpinionReportNumber;
    }

    public void setAuditOpinionRemarks(String auditOpinionRemarks) {
        this.auditOpinionRemarks = auditOpinionRemarks;
    }

    public void setBusinessPremisesName(String businessPremisesName) {
        this.businessPremisesName = businessPremisesName;
    }

    public void setBusinessPremisesAuditUser(String businessPremisesAuditUser) {
        this.businessPremisesAuditUser = businessPremisesAuditUser;
    }

    public void setSubmittedForReviewDate(String submittedForReviewDate) {
        this.submittedForReviewDate = submittedForReviewDate;
    }

    public void setAuditIssuedDate(String auditIssuedDate) {
        this.auditIssuedDate = auditIssuedDate;
    }

    public void setAuditShouldEndDate(String auditShouldEndDate) {
        this.auditShouldEndDate = auditShouldEndDate;
    }

    public void setUploadingResultDate(String uploadingResultDate) {
        this.uploadingResultDate = uploadingResultDate;
    }

    public void setApprovalDate(String approvalDate) {
        this.approvalDate = approvalDate;
    }

    public void setIfTheTimeout(String ifTheTimeout) {
        this.ifTheTimeout = ifTheTimeout;
    }

    public void setAuditManagementLevel(String auditManagementLevel) {
        this.auditManagementLevel = auditManagementLevel;
    }

    public void setAuditMode(String auditMode) {
        this.auditMode = auditMode;
    }

    public void setAuditFullTime(String auditFullTime) {
        this.auditFullTime = auditFullTime;
    }

    public void setReviewPeople(String reviewPeople) {
        this.reviewPeople = reviewPeople;
    }

    public void setReviewDepartment(String reviewDepartment) {
        this.reviewDepartment = reviewDepartment;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public void setSingleConstructionId(String singleConstructionId) {
        this.singleConstructionId = singleConstructionId;
    }
}
